Overview
POST
/system/audit-eventssystemCreate audit_events
Create a record in audit-events.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- ecosystemIdoptionalstring?
- developerIdoptionalstring?
- actorUserIdoptionalstring?
- eventTypestring
- payloadoptionalstring
- ipAddressoptionalstring
- userAgentoptionalstring
Example
{
"ecosystemId": "string",
"developerId": "string",
"actorUserId": "string",
"eventType": "string",
"payload": "string",
"ipAddress": "string",
"userAgent": "string"
}Responses
201
audit_events
- idstring
- ecosystemIdstring?
- developerIdstring?
- actorUserIdstring?
- eventTypestring
- payloadstring
- ipAddressstring
- userAgentstring
- createdAtstring
Example
{
"id": "string",
"ecosystemId": "string",
"developerId": "string",
"actorUserId": "string",
"eventType": "string",
"payload": "string",
"ipAddress": "string",
"userAgent": "string",
"createdAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/system/audit-events" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"ecosystemId": "string",
"developerId": "string",
"actorUserId": "string",
"eventType": "string",
"payload": "string",
"ipAddress": "string",
"userAgent": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/system/audit-events", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"ecosystemId\": \"string\",\n \"developerId\": \"string\",\n \"actorUserId\": \"string\",\n \"eventType\": \"string\",\n \"payload\": \"string\",\n \"ipAddress\": \"string\",\n \"userAgent\": \"string\"\n}",
});
const data = await res.json();